!function() {
    "use strict";
    class e {
        static initValidation() {
            SERS.helpers("jq-validation"),
            jQuery(".js-validation-signin").validate({
                rules: {
                    "login-email": {
                        required: !0
                    },
                    "login-password": {
                        required: !0,
                        minlength: 8
                    }
                },
                messages: {
                    "login-email": {
                        required: "Please enter your email address"
                    },
                    "login-password": {
                        required: "Please provide a password",
                        minlength: "Your password must be at least 8 characters long"
                    }
                }
            })
        }
        static init() {
            this.initValidation()
        }
    }
    SERS.onLoad(( () => e.init()))
}();
